- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# StopPersonCommand Class Reference

`#include <Command.h>`

Inheritance diagram for StopPersonCommand:

List of all members.

## Public Member Functions
| StopPersonCommand (Person *person)
| StopPersonCommand (List *list)
void | execute ()
std::string | getString ()
## Static Public Member Functions
static std::string | id ()
## Private Attributes
std::string | _person
## Static Private Attributes
static const std::string | _id = "stopPerson"

## Detailed Description

Definition at line 391 of file Command.h.

## Constructor & Destructor Documentation

StopPersonCommand::StopPersonCommand | ( | Person * | person | ) |

| Definition at line 10 of file StopPersonCommand.cpp.

StopPersonCommand::StopPersonCommand | ( | List * | list | ) |

| Definition at line 15 of file StopPersonCommand.cpp. References _person, List::firstString(), and List::rest().

## Member Function Documentation

void StopPersonCommand::execute | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 21 of file StopPersonCommand.cpp. References _person, Level::getObject(), Level::instance(), and Person::setVelocity().

std::string StopPersonCommand::getString | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 29 of file StopPersonCommand.cpp. References _id, _person, List::getString(), and List::snoc().

static std::string StopPersonCommand::id | ( |  | ) | `[inline, static]`

| Definition at line 399 of file Command.h. References _id. Referenced by Command::loadCommand().

## Member Data Documentation

const std::string StopPersonCommand::_id = "stopPerson"`[static, private]`

| Definition at line 404 of file Command.h. Referenced by getString(), and id().

std::string StopPersonCommand::_person`[private]`

| Definition at line 402 of file Command.h. Referenced by execute(), getString(), and StopPersonCommand().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Command.h
- C:/Documents and Settings/jegan/Desktop/projectX/StopPersonCommand.cpp